SDEV_EVT_SEND_SIMPLE(9)

NAME
sdev_evt_send_simple - send asserted event to uevent thread

SYNOPSIS

void sdev_evt_send_simple(struct scsi_device * sdev, enum scsi_device_event evt_type, gfp_t gfpflags);

ARGUMENTS

sdev
    scsi_device event occurred on

evt_type
    type of event to send

gfpflags
    GFP flags for allocation

DESCRIPTION

Assert scsi device event asynchronously, given an event type.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT